This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 999786 - [origin_runtime_186] Have duplicate "aerogear" words in aerogear-aerogear-push-0.8.0 returned after creating aerogear push app with quickstart
[origin_runtime_186] Have duplicate "aerogear" words in aerogear-aerogear-pus...
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 02:47 EDT by Yan Du
Modified: 2015-05-14 19:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 03:35:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-08-22 02:47:16 EDT
Description of problem:


[root@Daphne ~]# rhc app show ap2 
ap2 @ http://ap2-111.dev.rhcloud.com/ (uuid: 157245971763964997009408)
----------------------------------------------------------------------
  Domain:  111
  Created: 10:33 AM
  Gears:   1 (defaults to small)
  Git URL: ssh://157245971763964997009408@ap2-111.dev.rhcloud.com/~/git/ap2.git/
  SSH:     157245971763964997009408@ap2-111.dev.rhcloud.com
  aerogear-aerogear-push-0.8.0 (AeroGear Push Server 0.8.0)   <===========
  ---------------------------------------------------------
    From:  https://cartreflect-claytondev.rhcloud.com/reflect?github=aerogear/openshift-origin-cartridge-aerogear-push
    Gears: Located with mysql-5.1
  mysql-5.1 (MySQL Database 5.1)
  ------------------------------
    Gears:          Located with aerogear-aerogear-push-0.8.0
    Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/
    Database Name:  ap2
    Password:       7Nc-D5trrgsX
    Username:       adminfhqk97k



Version-Release number of selected component (if applicable):
devenv_stage_448



How reproducible:
Always



Steps to Reproduce:

1. add aerogear instant app in website quickstart
2. deploy an aerogear push server app 
3. check the app cartridge in web or use CLI to show app: rhc app show ap2



Actual results:

show double "aerogear" words in cartridge name: aerogear-aerogear-push-0.8.0 

[root@Daphne ~]# rhc app show ap2 
ap2 @ http://ap2-111.dev.rhcloud.com/ (uuid: 157245971763964997009408)
----------------------------------------------------------------------
  Domain:  111
  Created: 10:33 AM
  Gears:   1 (defaults to small)
  Git URL: ssh://157245971763964997009408@ap2-111.dev.rhcloud.com/~/git/ap2.git/
  SSH:     157245971763964997009408@ap2-111.dev.rhcloud.com
  aerogear-aerogear-push-0.8.0 (AeroGear Push Server 0.8.0)   <===========
  ---------------------------------------------------------
    From:  https://cartreflect-claytondev.rhcloud.com/reflect?github=aerogear/openshift-origin-cartridge-aerogear-push
    Gears: Located with mysql-5.1
  mysql-5.1 (MySQL Database 5.1)
  ------------------------------
    Gears:          Located with aerogear-aerogear-push-0.8.0
    Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/
    Database Name:  ap2
    Password:       7Nc-D5trrgsX
    Username:       adminfhqk97k
Expected results:
should show the correct name: aerogear-push-0.8.0




Additional info:

the cartridge name is correct when creating the app by CLI on fork_ami_809.

root@openshift-ubuntu:~/test# rhc app create aaa aerogear-push-0.8.0 mysql-5.1
......
root@openshift-ubuntu:~/test# rhc app show aaa
aaa @ http://aaa-dy.dev.rhcloud.com/ (uuid: 52159fbcd782b00c99000002)
---------------------------------------------------------------------
  Domain:  dy 
  Created: 1:21 AM
  Gears:   1 (defaults to small)
  Git URL: ssh://52159fbcd782b00c99000002@aaa-dy.dev.rhcloud.com/~/git/aaa.git/
  SSH:     52159fbcd782b00c99000002@aaa-dy.dev.rhcloud.com
  aerogear-push-0.8.0 (AeroGear Push Server 0.8.0)   <================
  ------------------------------------------------
    Gears: Located with mysql-5.1
  mysql-5.1 (MySQL Database 5.1)
  ------------------------------
    Gears:          Located with aerogear-push-0.8.0
    Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/
    Database Name:  aaa
    Password:       uPULSYZEp2Yd
    Username:       adminPk5SvxW

Note You need to log in before you can comment on or make changes to this bug.